Get model customer pricing
curl --request GET \
--url https://api.runflow.io/v1/models/{model_id}/pricing/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pricing_model_code": "<string>",
"rule_effect_code": "<string>",
"model_input_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"match_value": null,
"dimension_code": "<string>",
"min_value": "<string>",
"max_value": "<string>",
"price": "<string>",
"currency_code": "<string>",
"unit_code": "<string>",
"multiplier_label": "<string>",
"description": "<string>",
"sort_order": 123,
"disabled_at": "2023-11-07T05:31:56Z",
"measurement_source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Models
Get model customer pricing
Retrieve a single model customer pricing by ID. Use ‘any’ as model_id to skip parent validation.
GET
/
v1
/
models
/
{model_id}
/
pricing
/
{id}
Get model customer pricing
curl --request GET \
--url https://api.runflow.io/v1/models/{model_id}/pricing/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pricing_model_code": "<string>",
"rule_effect_code": "<string>",
"model_input_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"match_value": null,
"dimension_code": "<string>",
"min_value": "<string>",
"max_value": "<string>",
"price": "<string>",
"currency_code": "<string>",
"unit_code": "<string>",
"multiplier_label": "<string>",
"description": "<string>",
"sort_order": 123,
"disabled_at": "2023-11-07T05:31:56Z",
"measurement_source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Model ID. Use 'any' to search across all parents.
Response
The requested model customer pricing.
Response shape.
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$⌘I